# newgrf_railtype.cpp File Reference

NewGRF handling of rail types. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "variables.h"`
`#include "debug.h"`
`#include "strings_type.h"`
`#include "rail.h"`
`#include "road_map.h"`
`#include "newgrf.h"`
`#include "newgrf_callbacks.h"`
`#include "newgrf_commons.h"`
`#include "newgrf_railtype.h"`
`#include "newgrf_spritegroup.h"`
`#include "core/bitmath_func.hpp"`

Go to the source code of this file.

## Functions
static uint32 | RailTypeGetRandomBits (const ResolverObject *object)
static uint32 | RailTypeGetTriggers (const ResolverObject *object)
static void | RailTypeSetTriggers (const ResolverObject *object, int triggers)
static uint32 | RailTypeGetVariable (const ResolverObject *object, byte variable, byte parameter, bool *available)
static const SpriteGroup * | RailTypeResolveReal (const ResolverObject *object, const RealSpriteGroup *group)
static void | NewRailTypeResolver (ResolverObject *res, TileIndex tile, TileContext context)
SpriteID | GetCustomRailSprite (const RailtypeInfo *rti, TileIndex tile, RailTypeSpriteGroup rtsg, TileContext context)
uint8 | GetReverseRailTypeTranslation (RailType railtype, const GRFFile *grffile)

## Detailed Description

NewGRF handling of rail types.

Definition in file newgrf_railtype.cpp.